Liblinphone: linphone::ChatMessageReaction Class Reference

Liblinphone 5.3.0

Public Member Functions | List of all members
linphone::ChatMessageReaction Class Reference

A chat message reaction is an emoji sent by someone in the same chat room to react to a specific ChatMessage. More...

`#include <chat_message_reaction.hh>`

Inheritance diagram for linphone::ChatMessageReaction:

## Public Member Functions
LINPHONECXX_PUBLIC | ChatMessageReaction (void *ptr, bool takeRef=true)
LINPHONECXX_PUBLIC _LinphoneChatMessageReaction * | cPtr ()
LINPHONECXX_PUBLIC std::string | getBody () const
| Returns the emoji(s) used for the reaction.
LINPHONECXX_PUBLIC std::string | getCallId () const
| Allows to get the Call ID associated with a ChatMessageReaction.
LINPHONECXX_PUBLIC std::shared_ptr< const linphone::Address > | getFromAddress () const
| Returns the Address of the participant that sent this reaction.
LINPHONECXX_PUBLIC void | send ()
| Sends a ChatMessageReaction.

## Detailed Description

A chat message reaction is an emoji sent by someone in the same chat room to react to a specific ChatMessage.

To create a ChatMessageReaction, use ChatMessage::createReaction(). Once you are ready, send the reaction using send(). Reactions are available using ChatMessage::getReactions() and will be notified using dedicated callbacks either in #LinphoneCoreListener or #LinphoneChatMessageListener.

## Member Function Documentation

## ◆ getBody()

LINPHONECXX_PUBLIC std::string linphone::ChatMessageReaction::getBody | ( |  | ) | const

Returns the emoji(s) used for the reaction.

Returns
  the emoji(s) used as UTF-8 characters.

## ◆ getCallId()

LINPHONECXX_PUBLIC std::string linphone::ChatMessageReaction::getCallId | ( |  | ) | const

Allows to get the Call ID associated with a ChatMessageReaction.

Returns
  the Call ID associated with this reaction.

## ◆ getFromAddress()

LINPHONECXX_PUBLIC std::shared_ptr< const linphone::Address > linphone::ChatMessageReaction::getFromAddress | ( |  | ) | const

Returns the Address of the participant that sent this reaction.

Returns
  the Address that sent this reaction.

The documentation for this class was generated from the following file:

- chat_message_reaction.hh